# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Compress-Raw-Lzma
Version:	2.212
Release:	1.%{__distinit}%{__distvers}
Summary:	Low-level interface to lzma compression library
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Compress-Raw-Lzma
Source0:	https://cpan.metacpan.org/modules/by-module/Compress/Compress-Raw-Lzma-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::Constant)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 5.16
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(lib)
BuildRequires:	xz-devel
# Module Runtime
BuildRequires:	perl(AutoLoader)
BuildRequires:	perl(bytes)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(UNIVERSAL)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(File::Path)
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::CPAN::Meta::JSON)
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	xz
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(XSLoader)
# Built-against version is embedded in module, so we have a strict version dependency
%if 0%{?fedora} < 40 && 0%{?rhel} < 10
%global xz_epoch %{nil}
%else
%global xz_epoch 1:
%endif
Requires:	xz-libs%{?_isa} = %{xz_epoch}%((pkg-config --modversion liblzma 2>/dev/null || echo 0) | tr -dc '[0-9.]')

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides a Perl interface to the lzma compression library.
It is used by IO::Compress::Lzma.

%prep
%setup -q -n Compress-Raw-Lzma-%{version}

# Remove bundled test modules
rm -rv t/Test/
perl -i -ne 'print $_ unless m{^t/Test/}' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/Compress/
%{perl_vendorarch}/Compress/
%{_mandir}/man3/Compress::Raw::Lzma.3*

%changelog
* Sun Apr 28 2024 Paul Howarth <paul@city-fan.org> - 2.212-1
- Update to 2.212
  - Remove 5.6.0 and 5.6.1 from workflow (GH#12)

* Sun Apr  7 2024 Paul Howarth <paul@city-fan.org> - 2.211-1
- Update to 2.211 (no changes)

* Fri Mar 29 2024 Paul Howarth <paul@city-fan.org> - 2.209-8
- Rebuild against xz 5.4.6 in Fedora 40 onwards

* Mon Mar 11 2024 Paul Howarth <paul@city-fan.org> - 2.209-5
- Rebuild against xz 5.6.1 (rhbz#2267598)

* Tue Feb 27 2024 Paul Howarth <paul@city-fan.org> - 2.209-2
- Rebuild for xz 5.6.0 in Fedora 40 onwards

* Wed Feb 21 2024 Paul Howarth <paul@city-fan.org> - 2.209-1
- Update to 2.209
  - Fix for READMEmd target
  - Raise skip count in t/001version.t (GH#11)

* Mon Jan 29 2024 Paul Howarth <paul@city-fan.org> - 2.206-6
- Rebuild for xz 5.4.6 in Fedora 40 onwards

* Thu Nov  2 2023 Paul Howarth <paul@city-fan.org> - 2.206-3
- Rebuild for xz 5.4.5 in Fedora 40 onwards

* Wed Aug  2 2023 Paul Howarth <paul@city-fan.org> - 2.206-2
- Rebuild for xz 5.4.4 in Fedora 39 onwards

* Wed Jul 26 2023 Paul Howarth <paul@city-fan.org> - 2.206-1
- Update to 2.206
  - Drop rt.cpan.org from SUPPORT section
  - Add instructions to deal with build failure on Ubuntu/Debian (GH#7)

* Mon Jul 17 2023 Paul Howarth <paul@city-fan.org> - 2.205-1
- Update to 2.205
  - Test::More isn't warns in Perl 5.38
  - Add perl 5.38 to CI matrix
  - Add on workflow_dispatch
  - Update action/checkout version

* Wed Jul 12 2023 Paul Howarth <paul@city-fan.org> - 2.204-7
- Perl 5.38 rebuild

* Fri May  5 2023 Paul Howarth <paul@city-fan.org> - 2.204-6
- Rebuild for xz 5.4.3 in Fedora 39 onwards

* Tue Apr 18 2023 Paul Howarth <paul@city-fan.org> - 2.204-4
- Rebuild for xz 5.4.2 in Fedora 39 onwards

* Thu Feb  9 2023 Paul Howarth <paul@city-fan.org> - 2.204-1
- Update to 2.204
  - Use GIMME_V instead of GIMME

* Mon Jan 23 2023 Paul Howarth <paul@city-fan.org> - 2.201-7
- Rebuild for xz 5.4.1 in Fedora 36 onwards

* Thu Dec  1 2022 Paul Howarth <paul@city-fan.org> - 2.201-5
- Rebuild for xz 5.2.9 in Fedora 38 onwards

* Thu Oct 13 2022 Paul Howarth <paul@city-fan.org> - 2.201-4
- Rebuild for xz 5.2.7 in Fedora 38 onwards
- Use SPDX-format license tag

* Wed Aug 31 2022 Paul Howarth <paul@city-fan.org> - 2.201-3
- Rebuild for xz 5.2.6 in Fedora 38 onwards

* Sat Jun 25 2022 Paul Howarth <paul@city-fan.org> - 2.201-1
- Update to 2.201 (no functional changes)

* Wed Jun  1 2022 Paul Howarth <paul@city-fan.org> - 2.103-2
- Perl 5.36 rebuild

* Mon Apr  4 2022 Paul Howarth <paul@city-fan.org> - 2.103-1
- Update to 2.103 (no changes)

* Sat May 22 2021 Paul Howarth <paul@city-fan.org> - 2.101-2
- Perl 5.34 rebuild

* Sat Feb 20 2021 Paul Howarth <paul@city-fan.org> - 2.101-1
- Update to 2.101 (no changes)

* Thu Jan  7 2021 Paul Howarth <paul@city-fan.org> - 2.100-1
- Update to 2.100
  - Expose liblzma's 'preset_dict' feature
  - Trim whitespace

* Sat Aug  1 2020 Paul Howarth <paul@city-fan.org> - 2.096-1
- Update to 2.096 (no changes)

* Tue Jul 21 2020 Paul Howarth <paul@city-fan.org> - 2.095-1
- Update to 2.095 (no changes)

* Mon Jul 13 2020 Paul Howarth <paul@city-fan.org> - 2.094-1
- Update to 2.094
  - Fix issue with Append mode and SvOOK (GH#4)

* Fri Jun 26 2020 Paul Howarth <paul@city-fan.org> - 2.093-5
- Perl 5.32 rebuild

* Mon Mar 30 2020 Paul Howarth <paul@city-fan.org> - 2.093-4
- Rebuild for xz 5.2.5 in Fedora 31 onwards

* Fri Feb 14 2020 Paul Howarth <paul@city-fan.org> - 2.093-3
- Unbundle test dependencies

* Sun Dec  8 2019 Paul Howarth <paul@city-fan.org> - 2.093-1
- Update to 2.093
  - Lzma.xs: Add allocator to lzma_properties_decode (GH#2)

* Mon Dec  2 2019 Paul Howarth <paul@city-fan.org> - 2.092-1
- Update to 2.092
  - Use lzma_allocator (GH#2)

* Sat Nov 23 2019 Paul Howarth <paul@city-fan.org> - 2.091-1
- Update to 2.091
  - More updates for memory leak in raw_decoder (GH#1)
  - Silence compiler warning

* Sun Nov 10 2019 Paul Howarth <paul@city-fan.org> - 2.090-1
- Update to 2.090
  - Fix memory leak in raw_decoder (GH#1)

* Sun Nov  3 2019 Paul Howarth <paul@city-fan.org> - 2.089-1
- Update to 2.089 (no changes)

* Sun Nov  3 2019 Paul Howarth <paul@city-fan.org> - 2.088-1
- Update to 2.088
  - Add support details in documentation

* Mon Aug 12 2019 Paul Howarth <paul@city-fan.org> - 2.087-1
- Update to 2.087 (no changes)

* Mon Jun  3 2019 Paul Howarth <paul@city-fan.org> - 2.086-2
- Perl 5.30 rebuild

* Mon Apr  1 2019 Paul Howarth <paul@city-fan.org> - 2.086-1
- Update to 2.086
  - Moved source to github: https://github.com/pmqs/Compress-Raw-Lzma
  - Add META_MERGE to Makefile.PL
  - Added meta-json.t and meta-yaml.t

* Sun Jan 13 2019 Paul Howarth <paul@city-fan.org> - 2.085-1
- Update to 2.085
  - Test harness can use a lot of memory; on systems with small memory,
    t/050interop-xz.t can fail, so free memory before invoking xz
    (CPAN RT#128194)

* Mon Jan  7 2019 Paul Howarth <paul@city-fan.org> - 2.084-1
- Update to 2.084 (no changes)

* Wed Jan  2 2019 Paul Howarth <paul@city-fan.org> - 2.083-1
- Update to 2.083 (no changes)

* Wed Jun 27 2018 Paul Howarth <paul@city-fan.org> - 2.082-3
- Perl 5.28 rebuild

* Sat May 12 2018 Paul Howarth <paul@city-fan.org> - 2.082-2
- Rebuild for xz 5.2.4 in Fedora 28 onwards

* Mon Apr 16 2018 Paul Howarth <paul@city-fan.org> - 2.082-1
- Update to 2.082
  - README: Document clash with older version of liblzma (CPAN RT#125046)
  - Lzma.pm: Fix typo in pod (CPAN RT#125093)

* Mon Apr  9 2018 Paul Howarth <paul@city-fan.org> - 2.081-1
- Update to 2.081
  - Previous release used $^W instead of use warnings - fixed

* Wed Apr  4 2018 Paul Howarth <paul@city-fan.org> - 2.080-1
- Update to 2.080 (no changes)

* Tue Aug  8 2017 Paul Howarth <paul@city-fan.org> - 2.074-4
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Mon Jun 12 2017 Paul Howarth <paul@city-fan.org> - 2.074-2
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - BR: perl-devel unconditionally

* Mon Feb 20 2017 Paul Howarth <paul@city-fan.org> - 2.074-1
- Update to 2.074
  - Lzma.xs: comment out unused variables and remove C++-ism (CPAN RT#120272)
  - Make failure when LZMA_VERSION != lzma_version_number more explicit
  - Added interface to LZMA_VERSION and LZMA_VERSION_STRING

* Mon Feb 13 2017 Paul Howarth <paul@city-fan.org> - 2.072-1
- Update to 2.072
  - Fix for Makefile.PL depending on . in @INC (CPAN RT#120084)
  - Use of Compress::Raw::Lzma::RawDecoder failed with large amount of data
    (CPAN RT#105460)
  - AppendOutput for "encode" methods said default was 1; it is actually 0

* Mon Jan  2 2017 Paul Howarth <paul@city-fan.org> - 2.070-2
- Rebuild for xz-5.2.3

* Thu Dec 29 2016 Paul Howarth <paul@city-fan.org> - 2.070-1
- Update to 2.070
  - Fix wrong FLAG_APPEND_OUTPUT logic (CPAN RT#119207)

* Mon Dec 12 2016 Paul Howarth <paul@city-fan.org> - 2.069-4.1
- Rebuild for xz-5.2.2 in EL-7.3 (#1403868)

* Wed Aug 10 2016 Paul Howarth <paul@city-fan.org> - 2.069-4
- BR: perl-generators where available
- Simplify find commands using -empty and -delete

* Tue Sep 29 2015 Paul Howarth <paul@city-fan.org> - 2.069-2
- Rebuild for xz-5.2.2

* Sun Sep 27 2015 Paul Howarth <paul@city-fan.org> - 2.069-1
- Update to 2.069 (no changes)

* Mon Jun 22 2015 Paul Howarth <paul@city-fan.org> - 2.068-5
- Perl 5.22 rebuild

* Fri Feb 27 2015 Paul Howarth <paul@city-fan.org> - 2.068-3
- Rebuild for xz-5.2.1 in Rawhide

* Tue Jan  6 2015 Paul Howarth <paul@city-fan.org> - 2.068-2
- Rebuild for xz-5.2.0 in Rawhide (#1179255)

* Wed Dec 24 2014 Paul Howarth <paul@city-fan.org> - 2.068-1
- Update to 2.068 (no changes)

* Tue Dec  9 2014 Paul Howarth <paul@city-fan.org> - 2.067-1
- Update to 2.067 (no changes)
- Classify buildreqs by usage

* Mon Sep 22 2014 Paul Howarth <paul@city-fan.org> - 2.066-1
- Update to 2.066 (no changes)

* Tue Sep  2 2014 Paul Howarth <paul@city-fan.org> - 2.064-4
- Drop %%defattr, redundant since rpm 4.4

* Sun Feb  2 2014 Paul Howarth <paul@city-fan.org> - 2.064-1
- Update to 2.064
  - Handle non-PVs better (CPAN RT#91558)

* Sun Nov  3 2013 Paul Howarth <paul@city-fan.org> - 2.063-1
- Update to 2.063 (no changes)

* Mon Aug 12 2013 Paul Howarth <paul@city-fan.org> - 2.062-1
- Update to 2.062
  - Fix typos (CPAN RT#86418)

* Thu Jul 18 2013 Paul Howarth <paul@city-fan.org> - 2.061-2
- Perl 5.18 rebuild

* Mon May 27 2013 Paul Howarth <paul@city-fan.org> - 2.061-1
- Update to 2.061
  - Silence compiler warning by making 2nd parameter to DispStream a const char*

* Tue Jan  8 2013 Paul Howarth <paul@city-fan.org> - 2.060-1
- Update to 2.060 (no changes)

* Sun Nov 25 2012 Paul Howarth <paul@city-fan.org> - 2.059-1
- Update to 2.059
  - Copy-on-write support

* Tue Nov 13 2012 Paul Howarth <paul@city-fan.org> - 2.058-1
- Update to 2.058 (no changes)

* Sat Nov 10 2012 Paul Howarth <paul@city-fan.org> - 2.057-1
- Update to 2.057
  - Update to ppport.h that includes SvPV_nomg_nolen
  - Added PERL_NO_GET_CONTEXT

* Mon Aug  6 2012 Paul Howarth <paul@city-fan.org> - 2.055-1
- Update to 2.055
  - Fix misuse of magic in API (CPAN RT#78080)

* Thu Jul  5 2012 Paul Howarth <paul@city-fan.org> - 2.052-4
- Perl 5.16 rebuild

* Thu Jul  5 2012 Paul Howarth <paul@city-fan.org> - 2.052-3
- Rebuild for xz 5.1.2alpha in Rawhide etc.

* Tue Jun 19 2012 Paul Howarth <paul@city-fan.org> - 2.052-2
- BR: perl(AutoLoader), perl(constant), perl(Exporter), perl(lib) and
  perl(Test::NoWarnings)
- BR:/R: perl(XSLoader), the module's preferred dynamic object loader

* Sun Apr 29 2012 Paul Howarth <paul@city-fan.org> - 2.052-1
- Update to 2.052 (fix to allow building with C++)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use %%{_fixperms} macro rather than our own chmod incantation
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Drop RPATH hack

* Sat Feb 18 2012 Paul Howarth <paul@city-fan.org> - 2.049-1
- Update to 2.049 (README wasn't included in the distribution)

* Sun Jan 29 2012 Paul Howarth <paul@city-fan.org> - 2.048-1
- Update to 2.048 (no changes)

* Sun Jan 29 2012 Paul Howarth <paul@city-fan.org> - 2.047-1
- Update to 2.047 (set minimum Perl version to 5.6)

* Sun Dec  4 2011 Paul Howarth <paul@city-fan.org> - 2.045-1
- Update to 2.045
  - Moved FAQ.pod to IO::Compress

* Sun Dec  4 2011 Paul Howarth <paul@city-fan.org> - 2.044-1
- Update to 2.044
  - Moved FAQ.pod under the lib directory so it can get installed

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> - 2.043-1
- Update to 2.043 (no changes)

* Fri Nov 18 2011 Paul Howarth <paul@city-fan.org> - 2.042-1
- Update to 2.042 (no changes)

* Sat Oct 29 2011 Paul Howarth <paul@city-fan.org> - 2.040-1
- Update to 2.040 (no changes)

* Fri Oct 28 2011 Paul Howarth <paul@city-fan.org> - 2.039-1
- Update to 2.039
  - Croak if attempt to freeze/thaw compression object (CPAN RT#69985)
- BR: perl(Carp)

* Mon Oct 17 2011 Paul Howarth <paul@city-fan.org> - 2.037-3
- Rebuild against xz 5.1.1alpha in F-16 and Rawhide

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 2.037-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 2.037-1
- Update to 2.037 (no changes)

* Mon Jun 20 2011 Paul Howarth <paul@city-fan.org> - 2.036-1
- Update to 2.036
  - A number of changes to facilitate adding LZMA support to
    IO::Compress::Zip : IO::Uncompress::Unzip:
    - Added preset filters Lzma::Filter::Lzma1::Preset and
      Lzma::Filter::Lzma2::Preset
   - Added forZip option to Compress::Raw::Lzma::Encoder
   - Added properties option to Compress::Raw::Lzma::RawDecoder

* Mon May 23 2011 Paul Howarth <paul@city-fan.org> - 2.035-2
- Rebuild for xz 5.0.3

* Sat May  7 2011 Paul Howarth <paul@city-fan.org> - 2.035-1
- Update to 2.035 (no changes)

* Tue May  3 2011 Paul Howarth <paul@city-fan.org> - 2.034-1
- Update to 2.034 (document the change of default MemLimit in 2.033)

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> - 2.033-3
- Rebuild for xz 5.0.2
- Nobody else likes macros for commands

* Wed Feb  9 2011 Paul Howarth <paul@city-fan.org> - 2.033-2
- Add explicit version dependency on xz-libs since the version number built
  against is embedded into the module and can cause failures in users of this
  module if they compare build-time and run-time versions of liblzma

* Tue Jan 11 2011 Paul Howarth <paul@city-fan.org> - 2.033-1
- Update to 2.033 (changed default MemLimit from 128 MB to unlimited)

* Fri Jan  7 2011 Paul Howarth <paul@city-fan.org> - 2.032-1
- Update to 2.032 (no changes)

* Wed Oct 27 2010 Paul Howarth <paul@city-fan.org> - 2.031-1
- Update to 2.031
  - Changed to build with XZ 5.0.0
  - Dropped symbolic constants provided by subblock.h (CPAN RT#62461)
- Drop xz 5.x patch, no longer needed

* Tue Oct 26 2010 Paul Howarth <paul@city-fan.org> - 2.030-2
- Patch out subfilter constants, not supported in xz 5.x (CPAN RT#62461)

* Mon Jul 26 2010 Paul Howarth <paul@city-fan.org> - 2.030-1
- Update to 2.030 (no changes)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 2.029-4
- Rebuild for perl 5.12.1 in Rawhide

* Sat Jun  5 2010 Paul Howarth <paul@city-fan.org> - 2.029-3
- Rebuild: something broken with official F-13 build but I don't know what

* Sat May  8 2010 Paul Howarth <paul@city-fan.org> - 2.029-1
- Update to 2.029 (test harness copes with memory shortage)
- Fix dist tag to work with RHEL6 Beta

* Mon May  3 2010 Paul Howarth <paul@city-fan.org> - 2.028-1
- Update to 2.028
  - Remove 'Persistent' option from  Lzma::Filter::Lzma (CPAN RT#57080)
  - Silence a pile of compiler warnings
- Drop patch for CPAN RT#57080, no longer needed

* Thu Apr 29 2010 Paul Howarth <paul@city-fan.org> - 2.027-1
- Initial RPM version
